import QtQuick

import roulette

Item {

    StreetBetsModel {
        id: streetBetsModel
    }

    Repeater {
        model: 12

        Rectangle {
            visible: true
            color: tapHandler1.pressed ? "#999999" : "#EEEEEE"
            opacity: hoverHandler.hovered ? 0.4 : 0
            height: 45
            width: 35

            anchors {
                left: parent.left
                leftMargin: 90 + (index * (width + 1.8))
                top: parent.top
                topMargin: 22
            }

            HoverHandler {
                id: hoverHandler
            }
            TapHandler {
                id: tapHandler1
            }

        }
    }

    Repeater {
        model: 12

        delegate: Rectangle {
            visible: true
            color: "transparent"
            height: 44
            width: 35
            border.color: "blue"
            border.width: 0

            anchors {
                left: parent.left
                leftMargin: 90 + (index * (width + 1.8))
                top: parent.top
                topMargin: 22
            }

            TapHandler {

                onTapped: ()=> {
                    if (parent.border.width == 0) {
                        parent.border.width = 2
                    } else {
                        parent.border.width = 0
                    }
                    streetBetsModel.betOnStreet(index)
                }
            }
        }
    }
}
